Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.function
Interface IntIntIntProcedure

public interface IntIntIntProcedure

Interface that represents a procedure object: a procedure that takes three arguments and does not return a value.

Method Summary
`boolean` | `apply(int first, int second, int third)` Applies a procedure to three arguments.

Method Detail

### apply

    public boolean apply(int first,
                         int second,
                         int third)

  Applies a procedure to three arguments. Optionally can return a boolean flag to inform the object calling the procedure.

  Example: forEach() methods often use procedure objects. To signal to a forEach() method whether iteration should continue normally or terminate (because for example a matching element has been found), a procedure can return `false` to indicate termination and `true` to indicate continuation.

  Parameters:
    `first` - first argument passed to the procedure.
    `second` - second argument passed to the procedure.
    `third` - third argument passed to the procedure.
  Returns:
    a flag to inform the object calling the procedure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage